// Listing 3: RegisterIOTClasses.def
LogFileName = RegisterIOTClasses.log
m += defineAttribute AttributeName = NodeId \
DataType = Integer \
IsUpdateable = false \
m += defineAttribute AttributeName = Gateway \
DataType = PublicObjectId \
m += defineAttribute AttributeName = Manufacturer \
DataType = String \
DataLength = 100
m += defineAttribute AttributeName = Product \
DataType = String \
DataLength = 400
m += createClassObject Name = IOTItem \
Description = "Abstract class for all IOT items." \
SuperClass = ApplicationObject \
BeanClass = inxire.ecmsdk.beans.IOTItem \
Abstract = true \
Attributes = {NodeId, Gateway, Manufacturer, Product}
m += defineAttribute AttributeName = State \
DataType = Boolean
m += createClassObject Name = IOTBinaryItem \
Description = "Class used for IOT items with a single boolean state." \
SuperClass = IOTItem \
BeanClass = inxire.ecmsdk.beans.IOTBinaryItem \
Attributes = {State}
m += defineAttribute AttributeName = State \
DataType = Double
m += createClassObject Name = IOTNumericItem \
Description = "Class used for IOT items with a single numeric state." \
SuperClass = IOTItem \
BeanClass = inxire.ecmsdk.beans.IOTNumericItem \
Attributes = {State}

